<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [Stream](./iceshrimp-js.stream.md) &gt; [state](./iceshrimp-js.stream.state.md)

## Stream.state property

**Signature:**

```typescript
state: "initializing" | "reconnecting" | "connected";
```
